Bug 1575385 - Can't launch kde partitionmanager as root from Application Launcher icon
Summary: Can't launch kde partitionmanager as root from Application Launcher icon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-partitionmanager
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattia Verga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 13:21 UTC by Matt Daveson
Modified: 2019-05-21 01:08 UTC (History)
2 users (show)

Fixed In Version: kde-partitionmanager-4.0.0-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-21 01:08:55 UTC
Type: Bug


Attachments (Terms of Use)
kde partitionmanager not launching by default (98.97 KB, image/png)
2018-05-06 13:44 UTC, Matt Daveson
no flags Details

Description Matt Daveson 2018-05-06 13:21:50 UTC
Installed Fedora Workstation from livecd, then "sudo dnf install @kde-desktop"

When I try to launch kde partitionmanager from KDE Application Launcher, the icon, it prompts for root/user password, I enter it correctly but fails every time.

Running it from shell with "sudo partitionmanager" works.

Comment 1 Matt Daveson 2018-05-06 13:44:57 UTC
Created attachment 1432377 [details]
kde partitionmanager not launching by default

Comment 2 Matt Daveson 2018-05-06 13:45:16 UTC
Run as root - KDE su
The action you requested needs root privileges. Please enter root's password below or click ignore to continue with your current privileges.

Permission denied.
Possibly incorrect password, please try again.
On some systems, you need to be in a special group (often: wheel) to use this program.

Command:
KDE_FULL_SESSION=true XDG_RUNTIME_DIR=/run/user/1000 DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus /usr/bin/partitionmanager --dontsu

Comment 3 Matt Daveson 2018-05-06 13:46:46 UTC
Was solved with this command:

kwriteconfig5 --file kdesurc --group super-user-command --key super-user-command sudo

Source: https://wiki.archlinux.org/index.php/sudo#kdesu

Comment 4 Matt Daveson 2018-05-06 14:21:36 UTC
Installed from livecd fedora workstation.

Comment 5 Mattia Verga 2018-05-07 11:35:39 UTC
The way partitionmanager needs to be executed has always been problematic. Hopefully, the next version will use kauth and will get rid of 'su' or 'sudo' calls.

I'll let this open as a reminder, but I'm not going to try to fix this, I'll just wait for the next version.

Comment 6 Jan Kurik 2018-08-14 10:03:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Fedora Update System 2019-05-05 20:16:35 UTC
kde-partitionmanager-4.0.0-1.fc30 kpmcore-4.0.0-1.fc30 calamares-3.2.7-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea83c1a9f9

Comment 8 Fedora Update System 2019-05-06 04:54:36 UTC
calamares-3.2.7-4.fc30, kde-partitionmanager-4.0.0-1.fc30, kpmcore-4.0.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea83c1a9f9

Comment 9 Fedora Update System 2019-05-06 10:56:58 UTC
calamares-3.2.7-6.fc30 kde-partitionmanager-4.0.0-1.fc30 kpmcore-4.0.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea83c1a9f9

Comment 10 Fedora Update System 2019-05-06 21:03:43 UTC
calamares-3.2.7-7.fc30, kde-partitionmanager-4.0.0-1.fc30, kpmcore-4.0.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea83c1a9f9

Comment 11 Fedora Update System 2019-05-08 16:29:07 UTC
calamares-3.2.7-10.fc30 kde-partitionmanager-4.0.0-1.fc30 kpmcore-4.0.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea83c1a9f9

Comment 12 Fedora Update System 2019-05-09 02:18:01 UTC
calamares-3.2.7-10.fc30, kde-partitionmanager-4.0.0-1.fc30, kpmcore-4.0.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea83c1a9f9

Comment 13 Fedora Update System 2019-05-11 11:48:15 UTC
calamares-3.2.7-10.fc30 kde-partitionmanager-4.0.0-1.fc30 kpmcore-4.0.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea83c1a9f9

Comment 14 Fedora Update System 2019-05-12 00:44:59 UTC
calamares-3.2.7-10.fc30, kde-partitionmanager-4.0.0-1.fc30, kpmcore-4.0.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea83c1a9f9

Comment 15 Fedora Update System 2019-05-12 14:27:13 UTC
calamares-3.2.8-3.fc30 kde-partitionmanager-4.0.0-1.fc30 kpmcore-4.0.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea83c1a9f9

Comment 16 Fedora Update System 2019-05-13 02:24:25 UTC
calamares-3.2.8-3.fc30, kde-partitionmanager-4.0.0-1.fc30, kpmcore-4.0.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea83c1a9f9

Comment 17 Fedora Update System 2019-05-21 01:08:55 UTC
calamares-3.2.8-3.fc30, kde-partitionmanager-4.0.0-1.fc30, kpmcore-4.0.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.